# UEFN Reproduce Env

Project used to declare wine configuration to help developer to find the problem

Usefull links
  - https://bugs.winehq.org/show_bug.cgi?id=56654
  - https://github.com/fufexan/nix-gaming/blob/master/pkgs/star-citizen/default.nix

**Requirements:** Nix installed see https://nixos.org/download/
> Otherwise, you can see flake.nix file to known how configure you're env.
>
> All needed configuration is fully declarated in the flake.nix file.

**Step to reproduce:**

1. Enter in shell

```bash
nix develop --extra-experimental-features "nix-command flakes"
```

Can be longer because it install required wine version and dependencies at first.
And then, it download Epic Games Official Launcher, configure Wineprefix with required dependencices and Run Official Launcher.

2. Run Epic Games Launcher and Install Unreal Engine for Fornite

```bash
run
```

It run Epic Games Launcher Executable with current prefix.

> Note: You can stop wineserver directly with `stop`
>
> And clean wineprefix with `clean`

3. Run Unreal Engine for Fornite